Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.io
Interface ContentConnection

All Superinterfaces:
  Connection, InputConnection, OutputConnection, StreamConnection

All Known Subinterfaces:
  HttpConnection, HttpsConnection

public interface ContentConnection
extends StreamConnection

This interface defines the stream connection over which content is passed.

Since:
  CLDC 1.0

Method Summary
`String` | `getEncoding()` Returns a string describing the encoding of the content which the resource connected to is providing.
`long` | `getLength()` Returns the length of the content which is being provided.
`String` | `getType()` Returns the type of content that the resource connected to is providing.

Methods inherited from interface javax.microedition.io.InputConnection
`openDataInputStream, openInputStream`

Methods inherited from interface javax.microedition.io.Connection
`close`

Methods inherited from interface javax.microedition.io.OutputConnection
`openDataOutputStream, openOutputStream`

Method Detail

### getType

    public String getType()

  Returns the type of content that the resource connected to is providing. For instance, if the connection is via HTTP, then the value of the `content-type` header field is returned.

  Returns:
    the content type of the resource that the URL references, or `null` if not known.

### getEncoding

    public String getEncoding()

  Returns a string describing the encoding of the content which the resource connected to is providing. E.g. if the connection is via HTTP, the value of the `content-encoding` header field is returned.

  Returns:
    the content encoding of the resource that the URL references, or `null` if not known.

### getLength

    public long getLength()

  Returns the length of the content which is being provided. E.g. if the connection is via HTTP, then the value of the `content-length` header field is returned.

  Returns:
    the content length of the resource that this connection's URL references, or `-1` if the content length is not known.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 2.0 of IM Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.